export declare type BoardSettingsType = {
    type?: "movable" | "scrollable";
};
export declare type ZoomSettingsType = {
    center?: boolean;
    inverse?: boolean;
    onScroll?: boolean;
    scrollDelta?: number;
    min?: number;
    max?: number;
};
export declare type ZoomToFitSettingsType = {
    centerNodes?: boolean;
    padding?: number;
    onStart?: boolean;
};
export declare type AutoDistributeSettingsType = {
    padding?: number;
    offset?: {
        top?: number;
        left?: number;
    };
    renderer?: Function;
    repaint?: boolean;
};
export declare type PaperSettingsType = {
    size?: "none" | "auto";
};
export declare type EngineSettingsType = {
    board?: BoardSettingsType;
    zoom?: ZoomSettingsType;
    zoomToFit?: ZoomToFitSettingsType;
    autoDistribute?: AutoDistributeSettingsType;
    paper?: PaperSettingsType;
};
export default class Settings {
    settings: EngineSettingsType;
    constructor(settings: EngineSettingsType);
    get(name: string, overrides?: Object): Object;
}
